# Uses of Class
java.lang.ProcessBuilder.Redirect

Packages that use ProcessBuilder.Redirect
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.

## Uses of ProcessBuilder.Redirect in java.lang

Fields in java.lang declared as ProcessBuilder.Redirect
Modifier and Type
Field
Description
`static final ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`DISCARD`
Indicates that subprocess output will be discarded.
`static final ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`INHERIT`
Indicates that subprocess I/O source or destination will be the same as those of the current process.
`static final ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`PIPE`
Indicates that subprocess I/O will be connected to the current Java process over a pipe.
Methods in java.lang that return ProcessBuilder.Redirect
Modifier and Type
Method
Description
`static ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`appendTo(File file)`
Returns a redirect to append to the specified file.
`static ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`from(File file)`
Returns a redirect to read from the specified file.
`ProcessBuilder.Redirect`
ProcessBuilder.`redirectError()`
Returns this process builder's standard error destination.
`ProcessBuilder.Redirect`
ProcessBuilder.`redirectInput()`
Returns this process builder's standard input source.
`ProcessBuilder.Redirect`
ProcessBuilder.`redirectOutput()`
Returns this process builder's standard output destination.
`static ProcessBuilder.Redirect`
ProcessBuilder.Redirect.`to(File file)`
Returns a redirect to write to the specified file.
Methods in java.lang with parameters of type ProcessBuilder.Redirect
Modifier and Type
Method
Description
`ProcessBuilder`
ProcessBuilder.`redirectError(ProcessBuilder.Redirect destination)`
Sets this process builder's standard error destination.
`ProcessBuilder`
ProcessBuilder.`redirectInput(ProcessBuilder.Redirect source)`
Sets this process builder's standard input source.
`ProcessBuilder`
ProcessBuilder.`redirectOutput(ProcessBuilder.Redirect destination)`
Sets this process builder's standard output destination.